---
updatedAt: 2025-10-09T17:32:42.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Delete Cloud Slicer Job

v2

Deletes queued or finished Cloud Slicer jobs.

### Request

Request syntax:

/jobs/delete

Request parameters:

Pass the following parameters through the msg parameter:

| Name | Data Type | Description                                              |
| ---- | --------- | -------------------------------------------------------- |
| ids  | List      | Identifies one or more jobs by their system-defined IDs. |

#### Authentication

Pass a digital signature based off of msg.

### Response

The response for a successful request contains the following parameter.

| Name    | Data Type | Description                                                                                                                                                                                                                                                                                                                                          |
| ------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| actions | List      | Contains a list of actions for each job defined in the request. Each action is described using the following syntax: \["Job ID identifies a job by its system-defined ID.", "Job Description describes the action that took place. If the job was deleted, then it will return "deleted." Otherwise, it will indicate why the job was not deleted."] |

### Sample Request/Response

A sample request/response is provided below.

The `Call` function, which is imported from `API Auth` for V2 APIs (see below), prepares the message body and digital signature.

<TutorialTile
  backgroundColor="#055b96"
  emoji="🔓"
  id="67e1aab8839d83004dcf9173"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v2-apis"
  slug="api-auth-for-classic-authentication-v2-apis"
  title="API Auth for Classic Authentication (V2 APIs)"
/> 

```python
from uplynk_api2_auth import Call

print(Call('/api2/cloudslicer/jobs/delete', ids=['1234', 'd3345dbe5e064d09a20b762f7618839e']))

{
    "actions": [
        [
            "1234",
            "Not found"
        ],
        [
            "d3345dbe5e064d09a20b762f7618839e",
            "deleted"
        ]
    ],
    "error": 0
}
```